import React, { useState } from "react";
import { View, Text, StyleSheet, Button } from "react-native";
import RadioForm, {
  RadioButton,
  RadioButtonInput,
  RadioButtonLabel,
} from "react-native-simple-radio-button";

export default function PatientRegFour({ navigation, route }) {
  const [parentStatus, setParentStatus] = useState(0);

  const radioOptions = [
    { label: "Yes", value: 0 },
    { label: "No", value: 1 },
    { label: "Complicated", value: 2 },
  ];

  const handleParentStatusChange = (value) => {
    setParentStatus(value);
  };

  const handleNext = () => {
    var data = {
      email: route.params.email,
      username: route.params.username,
      password: route.params.password,
      name: route.params.name,
      pronoun: route.params.pronoun,
      stringDate: route.params.stringDate,
      gender: route.params.gender,
      orphan: "No",
      siblingCount: 0,
    };
    if (parentStatus === 0) {
      navigation.navigate("PatientRegFourOptional", data);
      console.log(data);
    } else {
      navigation.navigate("PatientRegFive", data);
      data.orphan = "Yes";
      console.log(data);
    }
  };

  return (
    <View style={styles.container}>
      <Text>Did you grow up with parents?</Text>
      <RadioForm
        radio_props={radioOptions}
        initial={parentStatus}
        onPress={handleParentStatusChange}
        formHorizontal={false}
        labelHorizontal={true}
        buttonColor={"#2196f3"}
        selectedButtonColor={"#2196f3"}
        labelStyle={{ fontSize: 16, marginHorizontal: 10 }}
        style={{ marginVertical: 10 }}
      />
      <Button title="Next" onPress={handleNext} />
    </View>
  );
}
const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
});
